Bug 209265 - DMA / CD Burning issues on ALIm15x3 chipsets
DMA / CD Burning issues on ALIm15x3 chipsets
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 02:39 EDT by Nathanael Noblet
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:12:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against kernel-2.6.17-1.2187_FC5 that fixes the problem (400 bytes, patch)
2006-10-04 02:39 EDT, Nathanael Noblet
no flags Details | Diff

  None (edit)
Description Nathanael Noblet 2006-10-04 02:39:19 EDT
Description of problem:
There is a kernel bug up to kernel 2.6.18 (still) where the ALI5229 controllers
of different revisions are setup incorrectly. I found the change to make to fix
it at http://bugzilla.kernel.org/show_bug.cgi?id=5786. Patch attached. I am in
the process of recompiling the most current kernel with this patch to see if it
fixes it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 5 on machine with 
00:1f.0 IDE interface: ALi Corporation M5229 IDE (rev c8)
2. attempt to burn CD (not dvd for some reason, growisofs seems to work)
3.
  
Actual results:
IDE Bus is hung
hda: Lost interrupt

Expected results:
successfully able to burn cd

Additional info:
Comment 1 Nathanael Noblet 2006-10-04 02:39:19 EDT
Created attachment 137720 [details]
patch against kernel-2.6.17-1.2187_FC5 that fixes the problem
Comment 2 Nathanael Noblet 2006-10-04 12:35:17 EDT
Just a confirmation, that after adding the previously attached patch to the
.spec for 2.6.17-1.2187_FC5, rebuilding, rebooting. Fixes the issue. Also, the
bug is fixed in 2.6.18.
Comment 3 Dave Jones 2006-10-16 20:47:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 18:12:37 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.